Subject: Re: [bitcoin-dev] Opt-in Full Replace-By-Fee (Full-RBF)

From: Chris <[email-masked]>
Date: Sun, 29 Nov 2015 22:32:34 -0500

On 11/16/2015 07:42 PM, Peter Todd via bitcoin-dev wrote:
> Sequence is used for opting in as it is the only "free-form" field
> available for that purpose. Opt-in per output was proposed as well by
> Luke-Jr, however the CTxOut data structure simply doesn't contain any
> extra fields to use for that purpose.
What is wrong with using they same scheme as sighash_single?

If input 0 has nSequence < maxint-1 then output 0 is replaceable.

For fee bumps you would just stick the change in position zero and
reduce the value.

You get FFS functionality without the hassle of addition other inputs.